#
# spec file for package ibus-rime
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ibus-rime
Version:        1.4.1~git20190223.c80c02f
Release:        lp152.2.3.1
Summary:        Rime for Linux/IBus
License:        GPL-3.0-or-later
Group:          System/I18n/Chinese
Url:            https://github.com/rime/ibus-rime
Source:         %{name}-%{version}.tar.xz
%if 0%{?suse_version} > 1325
BuildRequires:  libboost_headers-devel
%else
BuildRequires:  boost-devel
%endif
BuildRequires:  brise
BuildRequires:  cmake >= 2.8
BuildRequires:  gcc-c++
BuildRequires:  ibus-devel
BuildRequires:  libkyotocabinet-devel
BuildRequires:  libnotify-devel
BuildRequires:  librime-devel >= 1.0
BuildRequires:  opencc
BuildRequires:  opencc-devel
Requires:       brise
Requires:       rime

%description
Rime Input Method Engine for Linux/IBus

%prep
%setup -q

%build
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

%files
%defattr(-,root,root)
%doc README.md
%{_ibus_componentdir}/rime.xml
%{_datadir}/ibus-rime/
%{_libexecdir}/ibus-rime/

%changelog
* Mon Nov  9 2020 Hillwood Yang <hillwood@opensuse.org>
- Set Requires tag for brise, ibus-rime need it. (boo#1178582)
* Wed Mar 27 2019 Marguerite Su <i@marguerite.su>
- update License
- add Requires: rime since rime binaries were moved to a new package,
  and librime1 can't pull it in
* Mon Mar 25 2019 opensuse-packaging@opensuse.org
- Update to version 1.4.1~git20190223.c80c02f:
  * chore(CHANGELOG.md): fix typo
  * chore(release): 1.4.0 :tada:
  * chore(README.md, rime.xml): use https link
  * fix(rime_main.cc): deploy ibus_rime.yaml on maintenance
  * chore(rime.xml, rime_main.c): update ibus component name
  * refactor(rime_*.cc): adopt librime 1.x API
  * chore(release): 1.3.0 :tada:
  * chore(submodules): update librime, plum
  * fix(CMakeLists.txt): static build requires boost_locale and icuuc
  * chore(CHANGES.md): reformat change log
* Tue Feb  6 2018 dimstar@opensuse.org
- Don't BuildRequire libyaml-cpp0_5/libyaml-cpp0_3 (depending on
  version): explicitly buildrequiring a library is generally seen
  always wrong. The correct library is already pulled in by
  librime.
* Wed Feb  1 2017 adam.majer@suse.de
- use individual libboost-*-devel packages instead of boost-devel
* Sun Aug 10 2014 i@marguerite.su
- update version 1.2
  * rime_engine.c: add status bar icons; update status bar
    only when there is a change in IME status, to fix issues
    on Ubuntu Trusty.
  * rime_config.h: define macros for version and file paths.
  * Makefile: fix file permissions in install target.
* Sat Mar 15 2014 i@marguerite.su
- update version 1.1git20140316
  * rime.xml: add symbolic icon for GNOME Shell.
  * rime_settings.*: fallback to ibus default UI options in 'panel' section.
* Sat Nov 16 2013 hillwood@linuxfans.org
- Update to 1.0
  * add config option 'lookup_table_orientation'.
* Sat Jul  6 2013 hillwood@linuxfans.org
- Ｕpdate to 0.9.9
  * support static linking librime and its dependencies.
  * support changing conversion mode with Caps Lock.
  * add 'Sync data' button.
  * in Chinese mode, display the name of schema on status bar.
  * display notifications about deployment result.
* Tue Oct 16 2012 hillwood@linuxfans.org
- Update to 0.9.4
  * user dictionary for table input method.
  * automatically build schema dependencies.
  * logging with google-glog.
  * install data files from a separate package: brise.
  * new API: accessing schema list.
  * new API: enabling/disabling soft cursor in preedit string.
* Tue Jul 24 2012 hillwood@linuxfans.org
- The first version 0.9.2
  * UI: new Rime logo.
  * UI: Add Chinese/ascii mode indicator and Deploy button to status bar.
  * UI: Show notification when deploying Rime.
